## pim-data-exporter 18.12.3

=== debian/changelog ===
pim-data-exporter (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:53 +0100

pim-data-exporter (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:07:22 +0000

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadicontact-dev (>= 4:18.12.3~),
               libkf5akonadimime-dev (>= 4:18.12.3~),
               libkf5akonadiserver-dev (>= 4:18.12.3~),
               libkf5alarmcalendar-dev (>= 4:18.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:18.12.3~),
               libkf5calendarsupport-dev (>= 4:18.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5imap-dev (>= 18.12.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:18.12.3~),
               libkf5mailcommon-dev (>= 4:18.12.3~),
               libkf5mailtransport-dev (>= 18.12.3~),
               libkf5messagecomposer-dev (>= 4:18.12.3~),
               libkf5mimetreeparser-dev (>= 4:18.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 18.12.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:18.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:18.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter

Package: pim-data-exporter
Section: utils
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Replaces: kmail (<< 4:16.11.90), ${kde-l10n:all}
Breaks: kmail (<< 4:16.11.90), ${kde-l10n:all}
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.
 .

## pim-data-exporter 19.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(KDEPIM_VERSION_NUMBER "5.11.3")
project(pim-data-exporter VERSION ${KDEPIM_VERSION_NUMBER})

set(KF5_MIN_VERSION "5.56.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.10.0")
if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)
endif()

set(AKONADI_VERSION "5.11.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.11.3")
set(KCONTACTS_LIB_VERSION "5.11.3")
set(KMAILTRANSPORT_LIB_VERSION "5.11.3")
set(KMIME_LIB_VERSION "5.11.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.11.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.11.3")
set(MAILCOMMON_LIB_VERSION_LIB "5.11.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.11.3")
set(KCALENDARCORE_LIB_VERSION "5.11.3")
set(AKONADINOTES_LIB_VERSION "5.11.3")

# Find KF5 package
find_package(KF5Archive ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)

include_directories(${pim-data-exporter_SOURCE_DIR} ${pim-data-exporter_BINARY_DIR})

add_definitions(-DTRANSLATION_DOMAIN=\"pimsettingexporter\")

# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
if (${Qt5Widgets_VERSION} STRGREATER "5.13")
   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
else()
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()

configure_file(pimsettingexporter-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/pimsettingexporter-version.h @ONLY)
if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(console)

install( FILES pimsettingexporter.renamecategories pimsettingexporter.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
install(FILES org.kde.pimsettingexporter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})


add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
pim-data-exporter (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * New build depend on libkf5akonadinotes-dev

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:57:00 +0100

=== debian/control ===
--- 
+++ 
@@ -17,20 +17,21 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgpgme11-dev,
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadicontact-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
-               libkf5akonadiserver-dev (>= 4:18.12.3~),
-               libkf5alarmcalendar-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadicontact-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
+               libkf5akonadinotes-dev (>= 4:19.04.3~),
+               libkf5akonadiserver-dev (>= 4:19.04.3~),
+               libkf5alarmcalendar-dev (>= 4:19.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5calendarsupport-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5calendarsupport-dev (>= 4:19.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
@@ -39,27 +40,27 @@
                libkf5globalaccel-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 18.12.3~),
+               libkf5imap-dev (>= 19.04.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5mailcommon-dev (>= 4:18.12.3~),
-               libkf5mailtransport-dev (>= 18.12.3~),
-               libkf5messagecomposer-dev (>= 4:18.12.3~),
-               libkf5mimetreeparser-dev (>= 4:18.12.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5mailcommon-dev (>= 4:19.04.3~),
+               libkf5mailtransport-dev (>= 19.04.3~),
+               libkf5messagecomposer-dev (>= 4:19.04.3~),
+               libkf5mimetreeparser-dev (>= 4:19.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 18.12.3~),
+               libkf5pimtextedit-dev (>= 19.04.3~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:18.12.3~),
+               libkf5templateparser-dev (>= 4:19.04.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:18.12.3~),
+               libkf5webengineviewer-dev (>= 4:19.04.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## pim-data-exporter 19.08.3

=== debian/changelog ===
pim-data-exporter (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:56:11 +0100

pim-data-exporter (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:42:36 +0100

pim-data-exporter (4:18.08.3-3) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:54:52 +0100

pim-data-exporter (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:45:10 +0200

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadinotes-dev (>= 4:19.08.3~),
               libkf5archive-dev (>= 5.60.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5crash-dev (>= 5.60.0~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5doctools-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               libkf5itemviews-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5libkdepim-dev (>= 4:19.08.3~),
               libkf5mailcommon-dev (>= 4:19.08.3~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5mime-dev (>= 19.08.3~),
               libkf5notifications-dev (>= 5.60.0~),
               libkf5pimcommon-dev (>= 4:19.08.3~),
               libkf5pimtextedit-dev (>= 19.08.3~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               libkf5xmlgui-dev (>= 5.60.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter.git

Package: pim-data-exporter
Section: utils
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

# Strict local dependencies (there are no external ones anyway)
override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel

## pim-data-exporter 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(KDEPIM_VERSION_NUMBER "5.13.3")
project(pim-data-exporter VERSION ${KDEPIM_VERSION_NUMBER})
set(KDE_APPLICATIONS_VERSION "19.12.3")
set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${KDE_APPLICATIONS_VERSION})")

set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.11.0")
if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)
endif()

set(AKONADI_VERSION "5.13.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.13.3")
set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
set(KMIME_LIB_VERSION "5.13.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.13.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.13.3")
set(MAILCOMMON_LIB_VERSION_LIB "5.13.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.13.3")
set(AKONADINOTES_LIB_VERSION "5.13.3")

# Find KF5 package
find_package(KF5Archive ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)

include_directories(${pim-data-exporter_SOURCE_DIR} ${pim-data-exporter_BINARY_DIR})

add_definitions(-DTRANSLATION_DOMAIN=\"pimdataexporter\")

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()


configure_file(pimdataexporter-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/pimdataexporter-version.h @ONLY)
add_definitions(-DQT_NO_FOREACH)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(console)

install(FILES pimdataexporter.renamecategories pimdataexporter.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
install(FILES org.kde.pimdataexporter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})


add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== console/CMakeLists.txt ===

include_directories(${AKONADI_INCLUDE_DIR} 
    ${pim-data-exporter_SOURCE_DIR}/core/
    )


set(pimdataexporterconsole_SRCS
    importexportprogressindicatorconsole.cpp
    pimdataexporterconsole.cpp
    loginfo.cpp
    loginfile.cpp
    main.cpp)

ecm_qt_declare_logging_category(pimdataexporterconsole_SRCS HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole)

add_executable(pimdataexporterconsole ${pimdataexporterconsole_SRCS})

target_link_libraries(pimdataexporterconsole KF5::ConfigCore KF5::CoreAddons KF5::I18n KF5::Archive KF5::AkonadiCore   KF5::MailCommon
    pimdataexporterprivate
    )
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
install(TARGETS pimdataexporterconsole ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== core/CMakeLists.txt ===
include_directories( 
    ${pim-data-exporter_SOURCE_DIR}/core/
    ${pim-data-exporter_BINARY_DIR}/core/
    )

set(pimdataexporter_calendar_SRCS
    calendar/exportcalendarjob.cpp
    calendar/importcalendarjob.cpp
    )

set(pimdataexporter_addressbook_SRCS
    addressbook/exportaddressbookjob.cpp
    addressbook/importaddressbookjob.cpp
    )

set(pimdataexporter_mail_SRCS
    mail/exportmailjob.cpp
    mail/importmailjob.cpp
    mail/importexportmailutil.cpp
    )

set(pimdataexporter_alarm_SRCS
    alarm/exportalarmjob.cpp
    alarm/importalarmjob.cpp
    )

set(pimdataexporter_notes_SRCS
    notes/exportnotesjob.cpp
    notes/importnotesjob.cpp
    )

set(pimdataexporter_xml_SRCS
    xml/templateselection.cpp
    )

set(pimdataexporter_akregator_SRCS
    akregator/exportakregatorjob.cpp
    akregator/importakregatorjob.cpp
    )


set(pimdataexporter_LIB_SRCS
    ${pimdataexporter_xml_SRCS}
    ${pimdataexporter_notes_SRCS}
    ${pimdataexporter_alarm_SRCS}
    ${pimdataexporter_mail_SRCS}
    ${pimdataexporter_calendar_SRCS}
    ${pimdataexporter_addressbook_SRCS}
    ${pimdataexporter_jot_SRCS}
    ${pimdataexporter_akregator_SRCS}
    abstractimportexportjob.cpp
    pimdataexporterkernel.cpp
    utils.cpp
    archivestorage.cpp
    synchronizeresourcejob.cpp
    pimdatabackuprestore.cpp
    importexportprogressindicatorbase.cpp
    pimdatabackupthread.cpp
    exportresourcearchivejob.cpp
    pimdataimportdatainfofile.cpp
    )

ecm_qt_declare_logging_category(pimdataexporter_LIB_SRCS HEADER pimdataexportcore_debug.h IDENTIFIER PIMDATAEXPORTERCORE_LOG CATEGORY_NAME org.kde.pim.pimdataexportercore)

add_library(pimdataexporterprivate ${pimdataexporter_LIB_SRCS})
generate_export_header(pimdataexporterprivate BASE_NAME pimdataexporter)



target_link_libraries(pimdataexporterprivate
    PRIVATE
    KF5::AkonadiCore
    KF5::Mime
    KF5::MailTransport
    KF5::MailCommon
    KF5::Archive
    KF5::PimCommonAkonadi
    KF5::I18n
    KF5::CalendarCore
    KF5::AkonadiNotes
    )

set_target_properties(pimdataexporterprivate PROPERTIES VERSION ${KDEPIM_LIB_VERSION} SOVERSION ${KDEPIM_LIB_SOVERSION})

install(TARGETS pimdataexporterprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== gui/CMakeLists.txt ===

include_directories( 
    ${pim-data-exporter_SOURCE_DIR}/core/
    )


set( pimdataexporter_kcfg_SRCS settings/pimdataexporterglobalconfig.kcfgc )

kconfig_add_kcfg_files(pimdataexporter_kcfg_SRCS ${pimdataexporter_kcfg_SRCS})


set(pimdataexporter_widget_SRCS
    widgets/selectiontypetreewidget.cpp
    widgets/logwidget.cpp
    widgets/pimdataexporterconfigurewidget.cpp
    )

set(pimdataexporter_dialog_SRCS
    dialog/selectiontypedialog.cpp
    dialog/backupfilestructureinfodialog.cpp
    dialog/showarchivestructuredialog.cpp
    dialog/synchronizeresourcedialog.cpp
    dialog/pimdataexporterconfiguredialog.cpp
    )

set(pimdataexporter_job_SRCS
    job/fullsynchronizeresourcesjob.cpp
    )

set(pimdataexporter_trayicon_SRCS
    trayicon/pimdatatrayicon.cpp
    )

set(pimdataexporter_SRCS
    ${pimdataexporter_kcfg_SRCS}
    ${pimdataexporter_widget_SRCS}
    ${pimdataexporter_dialog_SRCS}
    ${pimdataexporter_job_SRCS}
    ${pimdataexporter_trayicon_SRCS}
    pimdatabackuprestoreui.cpp
    importexportprogressindicatorgui.cpp
    pimdataexporterwindow.cpp
    pimdatacommandlineoption.cpp
    main.cpp)

qt5_add_resources(pimdataexporter_SRCS pimdataexporter.qrc)

ecm_qt_declare_logging_category(pimdataexporter_SRCS HEADER pimdataexportgui_debug.h IDENTIFIER PIMDATAEXPORTERGUI_LOG CATEGORY_NAME org.kde.pim.pimdataexportergui)

add_executable(pimdataexporter ${pimdataexporter_SRCS})

target_link_libraries(pimdataexporter
    PRIVATE
    KF5::XmlGui
    KF5::DBusAddons
    KF5::MailCommon
    KF5::PimCommon
    KF5::Libkdepim
    pimdataexporterprivate
    KF5::Archive
    KF5::ItemViews
    KF5::KIOFileWidgets
    KF5::Notifications
    KF5::I18n
    KF5::Crash
    )

add_subdirectory(kconf_update)

install(TARGETS pimdataexporter ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(PROGRAMS org.kde.pimdataexporter.desktop DESTINATION ${KDE_INSTALL_APPDIR})

install(FILES settings/pimdataexporterglobalconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== console/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
    ${pim-data-exporter_BINARY_DIR}/console/
    )

set( pimdataexporterconsole_loginfiletest_SRCS loginfiletest.cpp ../loginfile.cpp )

ecm_qt_declare_logging_category(pimdataexporterconsole_loginfiletest_SRCS HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole)


add_executable( pimdataexporterconsole_loginfiletest ${pimdataexporterconsole_loginfiletest_SRCS})
add_test(NAME pimdataexporterconsole_loginfiletest COMMAND pimdataexporterconsole_loginfiletest)
ecm_mark_as_test(pimdataexporterconsole_loginfiletest)
target_link_libraries( pimdataexporterconsole_loginfiletest Qt5::Test)

=== core/autotests/CMakeLists.txt ===
set( utilstest_SRCS utilstest.cpp  )

add_executable( utilstest ${utilstest_SRCS})
add_test(NAME utilstest COMMAND utilstest)
ecm_mark_as_test(utilstest)
target_link_libraries( utilstest Qt5::Test pimdataexporterprivate KF5::ConfigCore)

=== gui/autotests/CMakeLists.txt ===
add_definitions(-DPIMDATAEXPORTER_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set( pimdataexporter_kcfg_SRCS ../settings/pimdataexporterglobalconfig.kcfgc )

kconfig_add_kcfg_files(pimdataexporter_kcfg_SRCS ${pimdataexporter_kcfg_SRCS})

add_executable( synchronizeresourcedialogtest synchronizeresourcedialogtest.cpp ../dialog/synchronizeresourcedialog.cpp)
add_test(NAME synchronizeresourcedialogtest COMMAND synchronizeresourcedialogtest)
ecm_mark_as_test(synchronizeresourcedialogtest)
target_link_libraries(synchronizeresourcedialogtest Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews KF5::ConfigCore)

add_executable( pimdataexporterconfiguredialogtest pimdataexporterconfiguredialogtest.cpp ../dialog/pimdataexporterconfiguredialog.cpp ../widgets/pimdataexporterconfigurewidget.cpp ${pimdataexporter_kcfg_SRCS})
add_test(NAME pimdataexporterconfiguredialogtest COMMAND pimdataexporterconfiguredialogtest)
ecm_mark_as_test(pimdataexporterconfiguredialogtest)
target_link_libraries(pimdataexporterconfiguredialogtest Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews KF5::ConfigCore KF5::ConfigGui)


add_executable( pimdataexporterconfigurewidgettest pimdataexporterconfigurewidgettest.cpp ../widgets/pimdataexporterconfigurewidget.cpp ${pimdataexporter_kcfg_SRCS})
add_test(NAME pimdataexporterconfigurewidgettest COMMAND pimdataexporterconfigurewidgettest)
ecm_mark_as_test(pimdataexporterconfigurewidgettest)
target_link_libraries(pimdataexporterconfigurewidgettest Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews KF5::ConfigCore KF5::ConfigGui)


add_executable( selectiontypetreewidgettest selectiontypetreewidgettest.cpp ../widgets/selectiontypetreewidget.cpp ${pimdataexporter_kcfg_SRCS})
add_test(NAME selectiontypetreewidgettest COMMAND selectiontypetreewidgettest)
ecm_mark_as_test(selectiontypetreewidgettest)
target_link_libraries(selectiontypetreewidgettest Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews pimdataexporterprivate KF5::ConfigCore KF5::ConfigGui KF5::PimCommonAkonadi)


add_executable( selectiontypedialogtest selectiontypedialogtest.cpp ../widgets/selectiontypetreewidget.cpp ../dialog/selectiontypedialog.cpp ${pimdataexporter_kcfg_SRCS})
add_test(NAME selectiontypedialogtest COMMAND selectiontypedialogtest)
ecm_mark_as_test(selectiontypedialogtest)
target_link_libraries(selectiontypedialogtest Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews pimdataexporterprivate KF5::ConfigCore KF5::ConfigGui KF5::PimCommonAkonadi)

=== debian/changelog ===
pim-data-exporter (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 14:00:21 +0100

pim-data-exporter (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:02 +0100

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5akonadinotes-dev (>= 4:19.12.3~),
               libkf5akonadiserver-dev (>= 4:19.12.3~),
               libkf5alarmcalendar-dev (>= 4:19.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:19.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5imap-dev (>= 19.12.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:19.12.3~),
               libkf5mailcommon-dev (>= 4:19.12.3~),
               libkf5mailtransport-dev (>= 19.12.3~),
               libkf5messagecomposer-dev (>= 4:19.12.3~),
               libkf5mimetreeparser-dev (>= 4:19.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 19.12.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:19.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:19.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter

Package: pim-data-exporter
Section: utils
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Replaces: kmail (<< 4:16.11.90), ${kde-l10n:all}
Breaks: kmail (<< 4:16.11.90), ${kde-l10n:all}
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.
 .

## pim-data-exporter 20.08.1

=== debian/changelog ===
pim-data-exporter (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:03:01 +0100

pim-data-exporter (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:22:33 +0100

=== debian/control ===
--- 
+++ 
@@ -17,20 +17,20 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgpgme11-dev,
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicontact-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
-               libkf5akonadinotes-dev (>= 4:19.12.3~),
-               libkf5akonadiserver-dev (>= 4:19.12.3~),
-               libkf5alarmcalendar-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicontact-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
+               libkf5akonadinotes-dev (>= 4:20.08.1~),
+               libkf5akonadiserver-dev (>= 4:20.08.1~),
+               libkf5alarmcalendar-dev (>= 4:20.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:19.12.3~),
+               libkf5calendarsupport-dev (>= 4:20.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -40,27 +40,27 @@
                libkf5globalaccel-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 19.12.3~),
+               libkf5imap-dev (>= 20.08.1~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5mailcommon-dev (>= 4:19.12.3~),
-               libkf5mailtransport-dev (>= 19.12.3~),
-               libkf5messagecomposer-dev (>= 4:19.12.3~),
-               libkf5mimetreeparser-dev (>= 4:19.12.3~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5mailcommon-dev (>= 4:20.08.1~),
+               libkf5mailtransport-dev (>= 20.08.1~),
+               libkf5messagecomposer-dev (>= 4:20.08.1~),
+               libkf5mimetreeparser-dev (>= 4:20.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 19.12.3~),
+               libkf5pimtextedit-dev (>= 20.08.1~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:19.12.3~),
+               libkf5templateparser-dev (>= 4:20.08.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:19.12.3~),
+               libkf5webengineviewer-dev (>= 4:20.08.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
